
QGIS Application - Bug report #671

Mapserver Export fail if PostGis-Query is applied

2007-03-20 06:49 AM - tux-jd67-de -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10730

Description

If I try to export to a mapserver file with a layer using postgis datasource and a query applied, the export will silently fail (0 bytes). If I

remove the query(s) from the postgis layers, the export will work again.

Jan.

History

#1 - 2007-06-23 08:51 AM - leonardomateo -

The attached patch fix the bug on export map files when a query is applied. It also fix some issues with quotes on schema, table names and omit the

"password" string when password is blank on postgis layers.

The quotes and password issues caused a bad syntax on map files.

#2 - 2007-06-23 02:51 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

Applied in  (0.8 release branch) and  (HEAD)

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted

Files

patch_for_bug_671.txt 4.28 KB 2007-06-23 leonardomateo -
